Bug 272319 - korganiser only shows 1 of the 2 caldav calenders (happens after restart/reboot)
Summary: korganiser only shows 1 of the 2 caldav calenders (happens after restart/reboot)
Status: RESOLVED FIXED
Alias: None
Product: Akonadi
Classification: Frameworks and Libraries
Component: DAV Resource (show other bugs)
Version: 4.6
Platform: OpenSUSE Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-05-03 12:59 UTC by iv0co
Modified: 2011-06-14 19:52 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Add some debug infos during collection fetch (2.04 KB, patch)
2011-05-15 14:56 UTC, Grégory Oestreicher
Details

Note You need to log in before you can comment on or make changes to this bug.
Description iv0co 2011-05-03 12:59:44 UTC
Version:           4.6 (using KDE 4.6.0) 
OS:                Linux

After first configuring the caldav (groupware) akonadi resource with 2 google calenders, everything seems to work okay. I set the first calender as the default and assign colours to the calenders.
Configuration picture: http://tinypic.com/view.php?pic=30wntoy&s=7

However after a reboot (perhaps restarting korganiser triggers this too) only the first calender is shown (+ the assigned colours are reset and the calenders aren't marked as shown by default). I can't get the second calender to show anymore, updating the calender folder (F5) doesnt work.

Reconfiguring everything (deleting and recreating the resource) fixes things, until the next reboot. Worth mentioning is that the second calender is probably read-only for my google account (no expert on this)

Reproducible: Always

Steps to Reproduce:
- configure groupware resource with two caldav url's
- reboot

Actual Results:  
- the second calender doesnt show anymore

Expected Results:  
- korganizer remembers the assigned colours and which calender was enabled/shown before. And, hence, I should see the second calender.
Comment 1 Grégory Oestreicher 2011-05-15 14:56:47 UTC
Created attachment 60024 [details]
Add some debug infos during collection fetch

Hi,

Here is a patch that will add some debug at the calendars discovery level. All of the logs will be sent to ~/.xsession_errors and begin with 'akonadi_davgroupware_resource_X', where X is the resource index.

Can you apply this and post the results?

Cheers,
Grégory
Comment 2 Grégory Oestreicher 2011-05-17 00:39:46 UTC
Git commit 41002a40079e5a2415f1e6c3bb75f36378f3cad9 by Grégory Oestreicher.
Committed on 17/05/2011 at 00:36.
Pushed by goestreicher into branch '4.6'.

Make the resource more resilient to temporary errors

Now errors that indicate a temporary outage do not make
collections disappear. Only 4xx HTTP response codes are
considered fatal.

CCBUG: 272319

M  +17   -5    resources/dav/common/davcollectionsfetchjob.cpp     
M  +12   -0    resources/dav/common/davcollectionsfetchjob.h     
M  +8    -1    resources/dav/common/davcollectionsmultifetchjob.cpp     
M  +8    -0    resources/dav/common/davcollectionsmultifetchjob.h     
M  +29   -3    resources/dav/resource/davgroupwareresource.cpp     
M  +3    -0    resources/dav/resource/davgroupwareresource.h     
M  +9    -0    resources/dav/resource/settings.cpp     
M  +5    -0    resources/dav/resource/settings.h     

http://commits.kde.org/kdepim-runtime/41002a40079e5a2415f1e6c3bb75f36378f3cad9
Comment 3 Grégory Oestreicher 2011-05-17 00:42:39 UTC
Git commit 657b2e96c24d563d0d8c6a1d5d236c96e3a1aaf5 by Grégory Oestreicher.
Committed on 17/05/2011 at 00:36.
Pushed by goestreicher into branch 'master'.

Make the resource more resilient to temporary errors

Now errors that indicate a temporary outage do not make
collections disappear. Only 4xx HTTP response codes are
considered fatal.

CCBUG: 272319

M  +17   -5    resources/dav/common/davcollectionsfetchjob.cpp     
M  +12   -0    resources/dav/common/davcollectionsfetchjob.h     
M  +8    -1    resources/dav/common/davcollectionsmultifetchjob.cpp     
M  +8    -0    resources/dav/common/davcollectionsmultifetchjob.h     
M  +29   -3    resources/dav/resource/davgroupwareresource.cpp     
M  +3    -0    resources/dav/resource/davgroupwareresource.h     
M  +9    -0    resources/dav/resource/settings.cpp     
M  +5    -0    resources/dav/resource/settings.h     

http://commits.kde.org/kdepim-runtime/657b2e96c24d563d0d8c6a1d5d236c96e3a1aaf5
Comment 4 Grégory Oestreicher 2011-05-17 00:46:46 UTC
Hi,

The patch submitted above should help in your case, and to more people generally. The resource was rather picky when it came to unavailable servers and didn't report the calendars, making them disappear. Next time you'll use a reliable provider ;)

Thanks for you report and help debugging this, it's really appreciated. Can you confirm that you no longer have the problem?

Cheers,
Grégory
Comment 5 Grégory Oestreicher 2011-06-14 19:52:08 UTC
No news, seems OK, closing.

Cheers,
Grégory